# Cobrança — Carteiras (UY3)

> 9 endpoints. Placeholders: `{{baseUrl}}` e `{{token}}`.

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Carteiras

Convênios de cobrança dos cedentes; base para emitir boletos.

### GET /api/v1/Wallet

**Método de visualização da lista de carteiras/convênios** — Lista e filtra registros de api.

Método de visualização da lista de carteiras/convênios.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `BeneficiaryId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `WalletsCode` | query | `array de integer (int64)` | opcional | — | `valor` |
| `Name` | query | `string` | opcional | — | `valor` |
| `Tenant` | query | `string` | opcional | — | `uy3` |
| `BankAccount` | query | `string` | opcional | — | `valor` |
| `SearchString` | query | `string` | opcional | — | `valor` |
| `Alias` | query | `string` | opcional | — | `valor` |
| `Page` | query | `integer` | opcional | — | `10` |
| `Size` | query | `integer` | opcional | — | `10` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |
| `isCountTruncated` | `boolean` | opcional | — | — | `true` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankAccountDebtCosts` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pendingCost` | `integer (int64)` | opcional | — | — | `0` |
| `pendingBilling` | `integer (int64)` | opcional | — | — | `0` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "beneficiaryName": "Fulano de Tal",
      "walletCode": 0,
      "bankAgency": "texto",
      "bankAccount": "texto",
      "bankAccountDebtCosts": "texto",
      "bankSlipCosts": {
        "register": 0,
        "cancellation": 0,
        "discount": 0,
        "changeDueDate": 0,
        "settlement": 0,
        "debtCollection": 0,
        "debtCollectionCancellation": 0,
        "debtCollectionSettlement": 0,
        "debtCollectionSuccess": 0,
        "transferRegister": 0,
        "transferCancellation": 0,
        "overDueCancellation": 0,
        "dataprevCostDisbursement": 0
      },
      "billingTypeValue": "texto",
      "billingTypeValueDisplay": "texto",
      "daysOverdueLimit": 0,
      "interestCodeValue": "texto",
      "interestCodeValueDisplay": "texto",
      "notificationRecepients": [
        "01310930"
      ],
      "createdAt": "2025-08-11T13:45:00Z",
      "enabled": true,
      "tenant": "texto",
      "tenantDisplay": "texto",
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenant": "texto",
        "tenantDisplay": "texto"
      },
      "ownerGroup": {
        "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "groupDisplay": "texto",
        "tenant": "texto",
        "tenantDisplay": "texto"
      },
      "pendingCost": 0,
      "pendingBilling": 0,
      "enableAutoSubmitToDebtCollection": true,
      "alias": "texto"
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0,
  "isCountTruncated": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Wallet" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/Wallet

**Método de cadastro de uma carteira/convênio com base no produto de cobranca** — Cria um novo registro de api.

Método de cadastro de uma carteira/convênio com base no produto de cobranca.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `billingProductCode` | `string` | opcional | — | — | `"texto"` |
| `billingCostsDefinitionCode` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingProductCode": "texto",
  "billingCostsDefinitionCode": "texto",
  "billingTypeValue": "texto",
  "interestCodeValue": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "tenant": "texto",
  "alias": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "id": "texto",
  "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiaryName": "Fulano de Tal",
  "walletCode": 0,
  "bankAgency": "texto",
  "bankAccount": "texto",
  "bankSlipCosts": {
    "register": 0,
    "cancellation": 0,
    "discount": 0,
    "changeDueDate": 0,
    "settlement": 0,
    "debtCollection": 0,
    "debtCollectionCancellation": 0,
    "debtCollectionSettlement": 0,
    "debtCollectionSuccess": 0,
    "transferRegister": 0,
    "transferCancellation": 0,
    "overDueCancellation": 0,
    "dataprevCostDisbursement": 0
  },
  "billingTypeValue": "texto",
  "billingTypeValueDisplay": "texto",
  "daysOverdueLimit": 0,
  "interestCodeValue": "texto",
  "interestCodeValueDisplay": "texto",
  "notificationRecepients": [
    "01310930"
  ],
  "createdAt": "2025-08-11T13:45:00Z",
  "enabled": true,
  "tenant": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "billingProductCode": "texto",
  "billingCostsDefinitionCode": "texto",
  "billingTypeValue": "texto",
  "interestCodeValue": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "tenant": "texto",
  "alias": "texto"
}'
```

---

### GET /api/v1/Wallet/{walletId}

**Método de visualização de uma carteira/convênio específica** — Consulta api pelo identificador informado na rota.

Método de visualização de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `beneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `beneficiaryName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `walletCode` | `integer (int64)` | opcional | — | — | `0` |
| `bankAgency` | `string` | opcional | — | — | `"texto"` |
| `bankAccount` | `string` | opcional | — | — | `"texto"` |
| `bankAccountDebtCosts` | `string` | opcional | — | — | `"texto"` |
| `bankSlipCosts` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `billingTypeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `daysOverdueLimit` | `integer (int64)` | opcional | — | — | `0` |
| `interestCodeValue` | `string` | opcional | — | — | `"texto"` |
| `interestCodeValueDisplay` | `string` | opcional | — | — | `"texto"` |
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `enabled` | `boolean` | opcional | — | — | `true` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `ownerUser` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pendingCost` | `integer (int64)` | opcional | — | — | `0` |
| `pendingBilling` | `integer (int64)` | opcional | — | — | `0` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Detalhe de `bankSlipCosts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Detalhe de `ownerUser`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Detalhe de `ownerGroup`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `groupId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `groupDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "id": "texto",
  "beneficiaryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "beneficiaryName": "Fulano de Tal",
  "walletCode": 0,
  "bankAgency": "texto",
  "bankAccount": "texto",
  "bankAccountDebtCosts": "texto",
  "bankSlipCosts": {
    "register": 0,
    "cancellation": 0,
    "discount": 0,
    "changeDueDate": 0,
    "settlement": 0,
    "debtCollection": 0,
    "debtCollectionCancellation": 0,
    "debtCollectionSettlement": 0,
    "debtCollectionSuccess": 0,
    "transferRegister": 0,
    "transferCancellation": 0,
    "overDueCancellation": 0,
    "dataprevCostDisbursement": 0
  },
  "billingTypeValue": "texto",
  "billingTypeValueDisplay": "texto",
  "daysOverdueLimit": 0,
  "interestCodeValue": "texto",
  "interestCodeValueDisplay": "texto",
  "notificationRecepients": [
    "01310930"
  ],
  "createdAt": "2025-08-11T13:45:00Z",
  "enabled": true,
  "tenant": "texto",
  "tenantDisplay": "texto",
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenant": "texto",
    "tenantDisplay": "texto"
  },
  "ownerGroup": {
    "groupId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "groupDisplay": "texto",
    "tenant": "texto",
    "tenantDisplay": "texto"
  },
  "pendingCost": 0,
  "pendingBilling": 0,
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### DELETE /api/v1/Wallet/{walletId}

**Método responsável por desabilitar uma carteira/convênio específica** — Remove um registro de api.

Método responsável por desabilitar uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### PATCH /api/v1/Wallet/{walletId}

**Método de atualização de uma carteira/convênio específica** — Atualiza parcialmente um registro de api.

Método de atualização de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `billingTypeValue` | `string` | opcional | — | — | `"texto"` |
| `enableAutoSubmitToDebtCollection` | `boolean` | opcional | — | — | `true` |
| `alias` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "billingTypeValue": "texto",
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PATCH "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "billingTypeValue": "texto",
  "enableAutoSubmitToDebtCollection": true,
  "alias": "texto"
}'
```

---

### PUT /api/v1/Wallet/{walletId}/UpdateBankSlipCost

**Método de atualização das tarifas de uma carteira/convênio específica** — Atualiza por completo um registro de api existente.

Método de atualização das tarifas de uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `register` | `integer (int64)` | opcional | — | — | `0` |
| `cancellation` | `integer (int64)` | opcional | — | — | `0` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `changeDueDate` | `integer (int64)` | opcional | — | — | `0` |
| `settlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollection` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSettlement` | `integer (int64)` | opcional | — | — | `0` |
| `debtCollectionSuccess` | `integer (int64)` | opcional | — | — | `0` |
| `transferRegister` | `integer (int64)` | opcional | — | — | `0` |
| `transferCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `overDueCancellation` | `integer (int64)` | opcional | — | — | `0` |
| `dataprevCostDisbursement` | `integer (int64)` | opcional | — | — | `0` |

Exemplo:

```json
{
  "register": 0,
  "cancellation": 0,
  "discount": 0,
  "changeDueDate": 0,
  "settlement": 0,
  "debtCollection": 0,
  "debtCollectionCancellation": 0,
  "debtCollectionSettlement": 0,
  "debtCollectionSuccess": 0,
  "transferRegister": 0,
  "transferCancellation": 0,
  "overDueCancellation": 0,
  "dataprevCostDisbursement": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/UpdateBankSlipCost" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "register": 0,
  "cancellation": 0,
  "discount": 0,
  "changeDueDate": 0,
  "settlement": 0,
  "debtCollection": 0,
  "debtCollectionCancellation": 0,
  "debtCollectionSettlement": 0,
  "debtCollectionSuccess": 0,
  "transferRegister": 0,
  "transferCancellation": 0,
  "overDueCancellation": 0,
  "dataprevCostDisbursement": 0
}'
```

---

### PUT /api/v1/Wallet/{walletId}/UpdateNotificationRecipient

**Método de atualização dos emails de notificação de um carteira/convênio específica** — Atualiza por completo um registro de api existente.

Método de atualização dos emails de notificação de um carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `notificationRecepients` | `array de string` | opcional | — | — | `[ … ]` |

Exemplo:

```json
{
  "notificationRecepients": [
    "01310930"
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/UpdateNotificationRecipient" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "notificationRecepients": [
    "01310930"
  ]
}'
```

---

### POST /api/v1/Wallet/{walletId}/Reactivate

**Método responsável por habilitar uma carteira/convênio específica** — Cria um novo registro de api.

Método responsável por habilitar uma carteira/convênio específica.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/Reactivate" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /api/v1/Wallet/{walletId}/ManualDirectDebit

**Método responsável por cobrança de tarifa manual** — Cria um novo registro de api.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `walletId` | path | `string` | obrigatório | Id da wallet/convênio | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/api/v1/Wallet/3fa85f64-5717-4562-b3fc-2c963f66afa6/ManualDirectDebit" \
  -H "Authorization: Bearer {{token}}"
```

---

